GNU/Linux Administration - Bug #191

Problem With Puppet Nodes Not Connecting To Puppet Master
09/04/2013 10:16 AM - Daniel Curtis

Status: Closed Start date: 09/04/2013
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Automated Server Management Estimated time: 0.20 hour
Target version: Spent time: 0.50 hour
Description

| encountered a problem over the weekend where a few nodes did not connect to the puppet master node for the ALT DMZ. The
error that was coming up when connecting are:

puppet agent -t

notice: Run of Puppet configuration client already in progress; skipping

I managed to find a fix for the problem:

rm -r /var/lib/puppet/state

Then connect again:

puppet agent -t

Note: | should keep an eye to see if the nodes are connecting at the same time, causing stale connections to occur due to an
overwhelmed puppet master server.

History

#1 - 09/12/2013 10:13 AM - Daniel Curtis

- Status changed from New to Closed

The problem still occasionally occurs, however | have noticed that the problem usually occurs when the puppet master is under heavy load and
becomes temporarily unresponsive. Maybe | should move the containers the server once the VPS infrastructure is bigger.

#2 - 02/16/2015 02:39 PM - Daniel Curtis
- Project changed from 30 to GNU/Linux Administration

- Category set to Automated Server Management
